@extends('frontEnd.layout')

@section('content')
<?php

use Illuminate\Support\Facades\DB;
$mm = DB::table('topics')->where('webmaster_id',13)->get();
 $lncode = @Helper::currentLanguage()->code;

?>

<!-- Start - Breadcrumb -->
<div class="breadcumb-wrapper " data-bg-src="assets/img/bg/breadcumb-bg.jpg" data-overlay="title" data-opacity="8">
    <div class="container">
        <div class="breadcumb-content text-center">
            <?php
            $title_var = "title_" . @Helper::currentLanguage()->code;
            $title_var2 = "title_" . env('DEFAULT_LANGUAGE');
            if (@$WebmasterSection->$title_var != "") {
                $WebmasterSectionTitle = @$WebmasterSection->$title_var;
            } else {
                $WebmasterSectionTitle = @$WebmasterSection->$title_var2;
            }
            ?>
            <h1 class="breadcumb-title">{!! $WebmasterSectionTitle !!}</h1>
            <ul class="breadcumb-menu">
                <li>
                    <a href="/">Home</a>
                </li>
                <li>
                    @if(@$WebmasterSection!="none")
                    <?php
                    $title_var = "title_" . @Helper::currentLanguage()->code;
                    $title_var2 = "title_" . env('DEFAULT_LANGUAGE');
                    if (@$WebmasterSection->$title_var != "") {
                        $WebmasterSectionTitle = @$WebmasterSection->$title_var;
                    } else {
                        $WebmasterSectionTitle = @$WebmasterSection->$title_var2;
                    }
                    ?>
                    <i class="icofont-rounded-double-right"></i>
                    {!! $WebmasterSectionTitle !!}
                </li>
                @elseif(@$search_word!="")
                <li>{{ @$search_word }}</li>
                @else
                <li>{{ $User->name }}</li>
                @endif
                @if($CurrentCategory!="none")
                @if(!empty($CurrentCategory))
                <?php
                $category_title_var = "title_" . @Helper::currentLanguage()->code;
                ?>
                <li>
                    {{ $CurrentCategory->$category_title_var }}
                </li>
                @endif
                @endif
            </ul>
        </div>
    </div>
</div>
<!-- End - Breadcrumb -->
<!-- Start - Blog Grid -->
<section class="th-blog-wrapper space-top space-extra2-bottom">
    <div class="container">
        <div class="row gx-40">
        @if($Topics->total() == 0)
            <div class="alert alert-warning">
                <i class="fa fa-info"></i> &nbsp; {{ __('frontend.noData') }}
            </div>
            @else
            <!--<div class="row service-details-post p-3">-->
            @if($Topics->total() > 0)
            <?php
            $title_var = "title_" . @Helper::currentLanguage()->code;
            $title_var2 = "title_" . env('DEFAULT_LANGUAGE');
            $details_var = "details_" . @Helper::currentLanguage()->code;
            $details_var2 = "details_" . env('DEFAULT_LANGUAGE');
            $slug_var = "seo_url_slug_" . @Helper::currentLanguage()->code;
            $slug_var2 = "seo_url_slug_" . env('DEFAULT_LANGUAGE');
            $i = 0;
            ?>
            @foreach($Topics as $Topic)
            <?php
            if ($Topic->$title_var != "") {
                $title = $Topic->$title_var;
            } else {
                $title = $Topic->$title_var2;
            }
            if ($Topic->$details_var != "") {
                $details = $details_var;
            } else {
                $details = $details_var2;
            }
            $section = "";
            try {
                if ($Topic->section->$title_var != "") {
                    $section = $Topic->section->$title_var;
                } else {
                    $section = $Topic->section->$title_var2;
                }
            } catch (Exception $e) {
                $section = "";
            }
            // set row div
            if (($i == 1 && count($Categories) > 0) || ($i == 2 && count($Categories) == 0)) {
                $i = 0;
            }
            $topic_link_url = Helper::topicURL($Topic->id);
            ?>
            <div class="col-xxl-4 col-lg-5">
                <div class="th-blog blog-single style2">
                    <div class="blog-img">
                        <a href="{{$topic_link_url}}"><img src="{{ URL::to('uploads/topics/'.$Topic->photo_file) }}" alt="{{ $title }}"></a>
                    </div>
                    <div class="blog-content">
                        <div class="blog-meta">
                            <a class="author" href="blog.html"><i class="fa-light fa-user"></i>by Naht</a>
                            <a href="blog.html"><i class="fa-light fa-clock"></i>{{ $Topic->created_at->format('d M Y') }}</a>
                        </div>
                        <h4 class="box-title"><a href="{{$topic_link_url}}">{{ $title }}</a>
                        </h4>
                        <a href="{{$topic_link_url}}" class="link-btn">Read More Details<i
                                class="fas fa-arrow-right ms-2"></i></a>
                    </div>
                </div>
            </div>
            <?php
            $i++;
            ?>
            @endforeach
            @endif
            @endif
        </div>
    </div>
</section>
<!-- End - Blog Grid -->
    
@endsection
  