@extends('frontEnd.layout')

@section('content')

<!-- Home Section Start -->
@include('frontEnd.includes.slider')
<!-- Home Section End -->

 <?php
 $lncode = @Helper::currentLanguage()->code;
 $title_var = "title_" . @Helper::currentLanguage()->code;
 $title_var2 = "title_" . env('DEFAULT_LANGUAGE');
 $details_var = "details_" . @Helper::currentLanguage()->code;
 $details_var2 = "details_" . env('DEFAULT_LANGUAGE');
 $slug_var = "seo_url_slug_" . @Helper::currentLanguage()->code;
 $slug_var2 = "seo_url_slug_" . env('DEFAULT_LANGUAGE');
?>

<!-- Start - Courses Grid -->
<section id="course-sec" class="space">
    <div class="container">
        <div class="row justify-content-between align-items-center">
            <div class="col-lg-6">
                <div class="title-area mb-xl-5">
                    <span class="sub-title"><i class="fal fa-book me-2"></i> Popular Courses</span>
                    <h2 class="sec-title">Our Popular Courses</h2>
                </div>
            </div>
        </div>
        <div class="row gy-4 filter-active mb-60">
            <?php
                foreach($bs as $value){ 
                $topic_link_url = Helper::topicURL($value->id);
                if ($value->$title_var != "") {
                    $title = $value->$title_var;
                } else {
                    $title = $value->$title_var2;
                }
                if ($value->$details_var != "") {
                    $details = $details_var;
                } else {
                    $details = $details_var2;
                }
                $section = "";
                try {
                    if ($value->section->$title_var != "") {
                        $section = $value->section->$title_var;
                    } else {
                        $section = $value->section->$title_var2;
                    }
                } catch (Exception $e) {
                    $section = "";
                }
            ?>
            <div class="col-md-6 col-xxl-3 col-lg-4 filter-item ">
                <div class="course-box style2">
                    @if($value->photo_file !="")
                    <div class="course-img">
                        <img src="{{ URL::to('uploads/topics/'.$value->photo_file) }}"
                        alt="{{ $title }}" >
                        <span class="tag"><i class="fas fa-clock"></i>2 Months</span>
                    </div>
                    @endif
                    <div class="course-content">
                        <h3 class="course-title"><a href="{{ $topic_link_url }}">{{ $title }}</a></h3>
                        <div class="course-meta">
                            <span><i class="fal fa-file"></i>70 Hours</span>
                            <span><i class="fal fa-user"></i>150 Class Size</span>
                        </div>
                        <div class="course-author">
                            <div class="author-info">
                                <img src="{{ URL::asset('assets/naht/img/course/author.png') }}" alt="{{ $title }}">
                                <a href="course.html" class="author-name">Teacher Name</a>
                            </div>
                            <div class="offer-tag">
                                <a href="{{ $topic_link_url }}" class="th-btn text-white">View Details<i class="fa-solid fa-arrow-right ms-2"></i></a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <?php } ?>
        </div>
        <div class="text-center">
            <a href="course.html" class="th-btn">View All Courses<i class="fa-solid fa-arrow-right ms-2"></i></a>
        </div>
    </div>
</section>
<!-- End - Courses Grid -->

<!-- Start - Features Section -->
<section class="space feature-sec">
    <div class="container">
        <div class="row gy-4 justify-content-center">
            <?php foreach($servicebox as $value){ 
            $topic_link_url = Helper::topicURL($value->id);
                if ($value->$title_var != "") {
                $title = $value->$title_var;
                } else {
                $title = $value->$title_var2;
                }
                if ($value->$details_var != "") {
                $details = $details_var;
                } else {
                $details = $details_var2;
                }
                $section = "";
                try {
                if ($value->section->$title_var != "") {
                $section = $value->section->$title_var;
                } else {
                $section = $value->section->$title_var2;
                }
                } catch (Exception $e) {
                $section = "";
                }
           ?>
            <div class="col-xl-3 col-md-6">
                <div class="feature-list">
                    <div class="feature-list_icon">
                    <i class="fal fa-book-open-cover"></i>
                    </div>
                    <h3 class="feature-list_title"><a href="{{$topic_link_url}}">{{ $title }}</a></h3>
                    <p class="feature-list_text">{!! strip_tags($value->$details) !!}</p>
                    <a href="{{$topic_link_url}}" class="icon-btn"><i class="fas fa-arrow-right"></i></a>
                </div>
            </div>
            <?php } ?>
        </div>
    </div>
</section>
<!-- End - Features Section -->

<!-- Start - Course Categories -->
<?php
use Illuminate\Support\Facades\DB;
$mm = DB::table('sections')->where('webmaster_id',9)->get();
$lncode = @Helper::currentLanguage()->code;
?>
<section class="service-sec">
    <div class="container">
        <div class="title-area text-center">
            <span class="sub-title"><i class="fal fa-book me-2"></i> Our Programs</span>
            <h2 class="sec-title">Let the journey of organizing your own learning begin</h2>
        </div>
        
        <div class="row th-carousel service-slider1 slider-shadow" data-slide-show="4" data-ml-slide-show="3"
            data-lg-slide-show="3" data-md-slide-show="2" data-sm-slide-show="1">
            @foreach($mm as $value)
            <div class="col-md-6 col-xl-4">
                <div class="service-card">
                    <div class="service-card-icon">
                        <img class="svg-img" src="{{ URL::asset('assets/naht/img/icon/service-icon-1-1.svg') }}" alt="icon">
                    </div>
                    <div class="service-card-content">
                        <h3 class="box-title"><a href="{{ url('/', $value->{'seo_url_slug_' . $lncode}) }}">{{ $value->{'title_' . $lncode} }}</a></h3>
                        <!--<p class="service-card-text">Monotonically conceptualize cutting-edge convergence whereas B2C-->
                        <!--    networks.</p>-->
                        @if($value->photo !="")
                        <div class="service-card-img">
                            <img src="{{ URL::to('uploads/sections/'.$value->photo) }}" alt="{{ $value->{'title_' . $lncode} }}">
                            <a href="{{ url('/', $value->{'seo_url_slug_' . $lncode}) }}" class="icon-btn"><i class="fa-solid fa-arrow-right"></i></a>
                        </div>
                        @endif
                    </div>
                </div>
            </div>
            @endforeach
        </div>
    </div>
</section>
<!-- End - Course Categories -->


<!-- Why Choose Section Start -->
<div class="space-top">
    <div class="container">
        <div class="row align-items-center">
            <div class="col-xl-6 mb-45 mb-xl-0">
                <div class="title-area text-center text-xl-start mb-35">
                    <span class="sub-title">Why Choose Me</span>
                    <h2 class="sec-title fw-semibold">Get An Experience Person in Personal Learning</h2>
                </div>
                <p class="mt-n2 mb-35 text-center text-xl-start">Enthusiastically facilitate distinctive experiences
                    whereas excellent metrics. Dynamically fashion fully tested methodologies with cost effective data.
                    Completely synergize ethical web services rather than professional applications.</p>
                <div class="row gy-30">
                <?php foreach($faqs as $key=>$value){ 
                    $topic_link_url = Helper::topicURL($value->id);
                    if ($value->$title_var != "") {
                        $title = $value->$title_var;
                    } else {
                        $title = $value->$title_var2;
                    }
                    if ($value->$details_var != "") {
                        $details = $details_var;
                    } else {
                        $details = $details_var2;
                    }
                    $section = "";
                    try {
                        if ($value->section->$title_var != "") {
                            $section = $value->section->$title_var;
                        } else {
                            $section = $value->section->$title_var2;
                        }
                    } catch (Exception $e) {
                        $section = "";
                    }
                    ?>
                    <div class="col-md-6">
                        <div class="feature-block">
                            <div class="feature-block_icon">
                                <img src="{{ URL::asset('assets/naht/img/update1/icon/feature_3_1.svg') }}" alt="icon">
                            </div>
                            <div class="media-body">
                                <h3 class="feature-block_title">{{$title}}</h3>
                                <p class="feature-block_text"><?php echo $value->$details?></p>
                            </div>
                        </div>
                    </div>
                    <?php } ?>
                </div>
            </div>
            <div class="col-xl-6">
                <div class="ps-xxl-5 ms-xl-2">
                    <div class="video-box2">
                        <img src="{{ URL::asset('assets/naht/img/update1/normal/video_3.jpg') }}" alt="video">
                        <a href="https://www.youtube.com/watch?v=_sI_Ps7JSEk" class="play-btn popup-video"><i
                                class="fas fa-play"></i></a>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- Why Choose Section End -->

<!-- Testimonial Section Start -->
<section class="space-top bg-auto" data-bg-src="{{ URL::asset('assets/naht/img/update1/bg/testi_bg_4.png') }}">
    <div class="container">
        <div class="row align-items-center">
            <div class="col-xl-6 mb-5 mb-xl-0">
                <div class="testi-block-wrap">
                    <div class="title-area mb-30">
                        <span class="sub-title">What Student Says</span>
                        <h2 class="sec-title fw-semibold">Student’s Testimonials</h2>
                        <p class="sec-text">Enthusiastically architect corporate metrics via enterprise methodologies.
                            Progressively extend distinctive process improvements rather.</p>
                    </div>
                    <div class="testi-block-slide th-carousel" data-slide-show="1" data-fade="true">
                    <?php foreach ($reviews as $value) {
                        $topic_link_url = Helper::topicURL($value->id);
                        if ($value->$title_var != "") {
                                            $title = $value->$title_var;
                        } else {
                                            $title = $value->$title_var2;
                        }
                        if ($value->$details_var != "") {
                                            $details = $details_var;
                        } else {
                                            $details = $details_var2;
                        }
                        $section = "";
                        try {
                                            if ($value->section->$title_var != "") {
                                                $section = $value->section->$title_var;
                                            } else {
                                                $section = $value->section->$title_var2;
                                            }
                        } catch (Exception $e) {
                                            $section = "";
                        }
                        ?>
                        <div class="">
                            <div class="testi-block">
                                
                                <p class="testi-block_text"><i class="fa-solid fa-quote-left"></i><?php echo strip_tags($value->$details) ?><i class="fa-solid fa-quote-right"></i></p>
                                
                                <div class="testi-block_profile">
                                    
                                        <div class="media-body">
                                            <h3 class="testi-block_name box-title">{{$title}}</h3>
                                            <span class="testi-block_desig">CEO of Maithon</span>
                                            <div class="testi-block_review">
                                                <i class="fa-solid fa-star-sharp"></i><i
                                                    class="fa-solid fa-star-sharp"></i><i
                                                    class="fa-solid fa-star-sharp"></i><i
                                                    class="fa-solid fa-star-sharp"></i><i
                                                    class="fa-solid fa-star-sharp"></i>
                                            </div>
                                        </div>
                                </div>
                            </div>
                        </div>
                    <?php } ?>
                    </div>
                    <div class="icon-box">
                        <button data-slick-prev=".testi-block-slide" class="slick-arrow default"><i
                                class="far fa-arrow-left"></i></button>
                        <button data-slick-next=".testi-block-slide" class="slick-arrow default"><i
                                class="far fa-arrow-right"></i></button>
                    </div>
                </div>
            </div>
            <div class="col-xl-6">
                <form action="mail.php" method="POST" class="consult-form ajax-contact">
                    <div class="row gx-24">
                        <div class="col-md-6">
                            <div class="form-group ">
                                <input type="text" class="form-control" name="name" id="name"
                                    placeholder="Enter Your Name">
                                <i class="fal fa-user"></i>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <input type="email" class="form-control" name="email" id="email"
                                    placeholder="Email Address">
                                <i class="fal fa-envelope"></i>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <input type="tel" class="form-control" name="number" id="number"
                                    placeholder="Phone Number">
                                <i class="fal fa-phone"></i>
                            </div>
                        </div>
                        <div class="form-group col-12">
                            <textarea name="message" id="message" cols="30" rows="3" class="form-control"
                                placeholder="Message"></textarea>
                            <i class="fal fa-comment"></i>
                        </div>
                        <div class="form-btn col-12">
                            <button class="th-btn">Send Message<i class="far fa-arrow-right ms-2"></i></button>
                        </div>
                    </div>
                    <p class="form-messages mb-0 mt-3"></p>
                </form>
            </div>
        </div>
    </div>
</section>
<!-- Testimonial Section End -->

<!-- Start - Blog Articles -->
<section class="overflow-hidden space" id="blog-sec">
    <div class="container">
        <div class="mb-35 text-center text-md-start">
            <div class="row align-items-center justify-content-between">
                <div class="col-md-8">
                    <div class="title-area mb-md-0">
                        <span class="sub-title"><i class="fal fa-book me-2"></i> Our News & Blogs</span>
                        <h2 class="sec-title">Latests News & Blogs</h2>
                    </div>
                </div>
                <div class="col-md-auto">
                    <a href="blog.html" class="th-btn">View All Posts<i class="fa-solid fa-arrow-right ms-2"></i></a>
                </div>
            </div>
        </div>
        <div class="row slider-shadow th-carousel blog-slider-1" data-slide-show="3" data-lg-slide-show="2"
            data-md-slide-show="2" data-sm-slide-show="1" data-arrows="true">
            <?php
            foreach ($blogs as $value) {
            $topic_link_url = Helper::topicURL($value->id);
                if ($value->$title_var != "") {
                    $title = $value->$title_var;
                } else {
                    $title = $value->$title_var2;
                }
                if ($value->$details_var != "") {
                    $details = $details_var;
                } else {
                    $details = $details_var2;
                }
                $section = "";
                try {
                    if ($value->section->$title_var != "") {
                        $section = $value->section->$title_var;
                    } else {
                        $section = $value->section->$title_var2;
                    }
                } catch (Exception $e) {
                    $section = "";
                }
            ?>
            <div class="col-md-6 col-xl-4">
                <div class="th-blog blog-single style2">
                    @if($value->photo_file !="")
                    <div class="blog-img">
                        <a href="{{$topic_link_url }}"><img src="{{ URL::to('uploads/topics/'.$value->photo_file) }}" alt="Blog Image"></a>
                    </div>
                    @endif
                    <div class="blog-content">
                        <div class="blog-meta">
                            <a class="author" href="blog.html"><i class="fa-light fa-user"></i>by Naht</a>
                            <a href="blog.html"><i class="fa-light fa-clock"></i>
                                <?php
                                echo date('d-M-Y', strtotime($value->created_at));
                                ?>
                            </a>
                        </div>
                        <h4 class="box-title"><a href="{{$topic_link_url }}">{{$title}}</a>
                        </h4>
                        <a href="{{$topic_link_url }}" class="link-btn">Read More<i
                                class="fas fa-arrow-right ms-2"></i></a>
                    </div>
                </div>
            </div>
            <?php } ?>
        </div>
    </div>
</section>
<!-- End - Blog Articles -->

@endsection
