@extends('frontEnd.layout')

@section('content')
<?php

use Illuminate\Support\Facades\DB;
$mm = DB::table('sections')->where('webmaster_id',9)->get();
 $lncode = @Helper::currentLanguage()->code;

?>
<!-- Page Breadcrumb -->
<div class="breadcumb-wrapper " data-bg-src="assets/img/bg/breadcumb-bg.jpg" data-overlay="title" data-opacity="8">
    <div class="container">
        <div class="breadcumb-content text-center">
            <?php
            $title_var = "title_" . @Helper::currentLanguage()->code;
            $title_var2 = "title_" . env('DEFAULT_LANGUAGE');
            if (@$WebmasterSection->$title_var != "") {
                $WebmasterSectionTitle = @$WebmasterSection->$title_var;
            } else {
                $WebmasterSectionTitle = @$WebmasterSection->$title_var2;
            }
            ?>
            <h1 class="breadcumb-title">{!! $WebmasterSectionTitle !!}</h1>
            <ul class="breadcumb-menu">
                <li>
                    <a href="/">Home</a>
                </li>
                <li>
                    @if(@$WebmasterSection!="none")
                    <?php
                    $title_var = "title_" . @Helper::currentLanguage()->code;
                    $title_var2 = "title_" . env('DEFAULT_LANGUAGE');
                    if (@$WebmasterSection->$title_var != "") {
                        $WebmasterSectionTitle = @$WebmasterSection->$title_var;
                    } else {
                        $WebmasterSectionTitle = @$WebmasterSection->$title_var2;
                    }
                    ?>
                    <i class="icofont-rounded-double-right"></i>
                    {!! $WebmasterSectionTitle !!}
                </li>
                @elseif(@$search_word!="")
                <li>{{ @$search_word }}</li>
                @else
                <li>{{ $User->name }}</li>
                @endif
                @if($CurrentCategory!="none")
                @if(!empty($CurrentCategory))
                <?php
                $category_title_var = "title_" . @Helper::currentLanguage()->code;
                ?>
                <li>
                    {{ $CurrentCategory->$category_title_var }}
                </li>
                @endif
                @endif
            </ul>
        </div>
    </div>
</div>
<!-- End - Breadcrumb -->

<!-- Start - Courses Grid -->
<section class="space">
    <div class="container">
        <div class="title-area text-center">
            <span class="sub-title"><i class="fal fa-book me-2"></i>YOUR PROMISING FUTURE STARTS WITH OUR PROFESSIONAL AND TECHNICAL COURSES</span>
            <h2 class="sec-title">Courses We Offer in {{ $CurrentCategory->$category_title_var }}</h2>
        </div>
        <div class="row gy-4 filter-active mb-60">
            @if($Topics->total() > 0)
            <?php
            $title_var = "title_" . @Helper::currentLanguage()->code;
            $title_var2 = "title_" . env('DEFAULT_LANGUAGE');
            $details_var = "details_" . @Helper::currentLanguage()->code;
            $details_var2 = "details_" . env('DEFAULT_LANGUAGE');
            $slug_var = "seo_url_slug_" . @Helper::currentLanguage()->code;
            $slug_var2 = "seo_url_slug_" . env('DEFAULT_LANGUAGE');
            $i = 0;
            ?>
            @foreach($Topics as $Topic)
            <?php
            // Determine the title
            $title = !empty($Topic->$title_var) ? $Topic->$title_var : $Topic->$title_var2;
            // Determine the details
            $details = !empty($Topic->$details_var) ? $Topic->$details_var : $details_var2;
            // Determine the section title
            $section = "";
            try {
                $section = !empty($Topic->section->$title_var) ? $Topic->section->$title_var : $Topic->section->$title_var2;
            } catch (Exception $e) {
                $section = ""; // Fallback if section title is not found
            }
            // Set row div
            if (($i == 1 && count($Categories) > 0) || ($i == 2 && count($Categories) == 0)) {
                $i = 0; // Reset index for new row
                echo "</div><div class='row'>";
            }
            $topic_link_url = Helper::topicURL($Topic->id);
            ?>
            <div class="col-md-6 col-xxl-3 col-lg-4 filter-item ">
                <div class="course-box style2">
                    @if(!empty($Topic->photo_file))
                    <div class="course-img">
                        <img src="{{ URL::to('uploads/topics/' . $Topic->photo_file) }}" alt="{{ $title }}" />      
                        <span class="tag"><i class="fas fa-clock"></i>2 Months</span>
                    </div>
                    @endif
                    <div class="course-content">
                        <h3 class="course-title fw-bold"><a href="{{ $topic_link_url }}">{{ $title }}</a></h3>
                        <div class="course-meta">
                            <span><i class="fal fa-file"></i>70 Hours</span>
                            <span><i class="fal fa-user"></i>150 Class Size</span>
                        </div>
                        <div class="course-author">
                            <a href="{{ $topic_link_url }}" class="th-btn text-white w-100">View Details<i
                                        class="fa-solid fa-arrow-right ms-2"></i></a>
                        </div>
                    </div>
                </div>
            </div>
            @endforeach
            @endif
        </div>
    </div>
</section>
<!-- End - Courses Grid -->
@endsection
