<?php if(Session::has('doneMessage')): ?>
    <div class="padding p-b-0">
        <div class="row">
            <div class="col-lg-12">
                <div class="alert alert-success m-b-0">
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                        <span aria-hidden="true">×</span>
                    </button>
                    <?php echo e(Session::get('doneMessage')); ?>

                </div>
            </div>
        </div>
    </div>
<?php endif; ?>
<?php if(@$FormSectionID >0): ?>
    <?php
    // Get banners list array by settings ID (You can get settings ID from Webmaster >> Banners settings)
    $WebmasterSection = Helper::WebmasterSection($FormSectionID);
    $fatherSections = Helper::SectionCategories($FormSectionID);
    ?>
    <?php if(!empty($WebmasterSection)): ?>
        <div class="form-block">
            <h4><i class="fa fa-send-o"></i> <?php echo e(__('backend.submit')); ?> <?php echo $WebmasterSection->{"title_".@Helper::currentLanguage()->code}; ?></h4>
            <hr>
            <?php echo e(Form::open(['route'=>['formSubmit'],'method'=>'POST', 'files' => true ])); ?>


            <?php if($WebmasterSection->date_status): ?>
                <div class="form-group row">
                    <label for="date"
                           class="col-sm-2 form-control-label"><?php echo __('backend.topicDate'); ?>

                    </label>
                    <div class="col-sm-10">
                        <div class="form-group">
                            <div class='input-group date'>
                                <?php echo Form::text('date',Helper::formatDate(date("Y-m-d")), array('placeholder' => '','class' => 'form-control','id'=>'date','required'=>'')); ?>

                                <span class="input-group-addon">
                  <span class="fa fa-calendar"></span>
              </span>
                            </div>
                        </div>

                    </div>
                </div>
            <?php else: ?>
                <?php echo Form::hidden('date',date("Y-m-d"), array('placeholder' => '','class' => 'form-control','id'=>'date')); ?>

            <?php endif; ?>

            <?php if($WebmasterSection->expire_date_status): ?>
                <div class="form-group row">
                    <label for="date"
                           class="col-sm-2 form-control-label"><?php echo __('backend.expireDate'); ?>

                    </label>
                    <div class="col-sm-10">
                        <div class="form-group">
                            <div class='input-group date'>
                                <?php echo Form::text('expire_date','', array('placeholder' => '','class' => 'form-control','id'=>'expire_date')); ?>

                                <span class="input-group-addon">
                  <span class="fa fa-calendar"></span>
              </span>
                            </div>
                        </div>

                    </div>
                </div>
            <?php endif; ?>

            <?php if($WebmasterSection->sections_status!=0): ?>
                <div class="form-group row">
                    <label for="section_id"
                           class="col-sm-2 form-control-label"><?php echo __('backend.categories'); ?> </label>
                    <div class="col-sm-10">
                        <select name="section_id" id="section_id" class="form-control c-select" required>
                            <option value=""> - - <?php echo __('backend.select'); ?> - -</option>
                            <?php
                            $title_var = "title_" . @Helper::currentLanguage()->code;
                            $title_var2 = "title_" . env('DEFAULT_LANGUAGE');
                            $t_arrow = "&raquo;";
                            ?>
                            <?php $__currentLoopData = $fatherSections; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $fatherSection): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php
                                if ($fatherSection->$title_var != "") {
                                    $ftitle = $fatherSection->$title_var;
                                } else {
                                    $ftitle = $fatherSection->$title_var2;
                                }
                                ?>
                                <option value="<?php echo e($fatherSection->id); ?>"><?php echo $ftitle; ?></option>
                                <?php $__currentLoopData = $fatherSection->fatherSections; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $subFatherSection): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php
                                    if ($subFatherSection->$title_var != "") {
                                        $title = $subFatherSection->$title_var;
                                    } else {
                                        $title = $subFatherSection->$title_var2;
                                    }
                                    ?>
                                    <option
                                        value="<?php echo e($subFatherSection->id); ?>"><?php echo $ftitle; ?> <?php echo $t_arrow; ?> <?php echo $title; ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                    </div>
                </div>
            <?php else: ?>
                <?php echo Form::hidden('section_id','0'); ?>

            <?php endif; ?>

            <?php if($WebmasterSection->title_status): ?>
                <div class="form-group row">
                    <label
                        class="col-sm-2 form-control-label"><?php echo __('backend.topicName'); ?>

                    </label>
                    <div class="col-sm-10">
                        <?php echo Form::text('title','', array('placeholder' => '','class' => 'form-control','required'=>'')); ?>

                    </div>
                </div>
            <?php endif; ?>

            <?php if($WebmasterSection->longtext_status): ?>
                <div class="form-group row">
                    <label
                        class="col-sm-2 form-control-label"><?php echo __('backend.bannerDetails'); ?>

                    </label>
                    <div class="col-sm-10">
                        <?php echo Form::textarea('details','', array('placeholder' => '','class' => 'form-control','rows'=>'8')); ?>

                    </div>
                </div>
            <?php endif; ?>

            <?php if($WebmasterSection->photo_status): ?>
                <div class="form-group row">
                    <label for="photo_file"
                           class="col-sm-2 form-control-label"><?php echo __('backend.topicPhoto'); ?></label>
                    <div class="col-sm-10">
                        <?php echo Form::file('photo_file', array('class' => 'form-control','id'=>'photo_file','accept'=>'image/*')); ?>

                        <small>
                            <?php echo __('backend.imagesTypes'); ?>

                        </small>
                    </div>
                </div>
            <?php endif; ?>

            <?php if($WebmasterSection->attach_file_status): ?>
                <div class="form-group row">
                    <label for="attach_file"
                           class="col-sm-2 form-control-label"><?php echo __('backend.topicAttach'); ?></label>
                    <div class="col-sm-10">
                        <?php echo Form::file('attach_file', array('class' => 'form-control','id'=>'attach_file')); ?>

                        <small>
                            <?php echo __('backend.attachTypes'); ?>

                        </small>
                    </div>
                </div>
            <?php endif; ?>

            
            <?php if(count($WebmasterSection->customFields) >0): ?>
                <?php
                $cf_title_var = "title_" . @Helper::currentLanguage()->code;
                $cf_title_var2 = "title_" . env('DEFAULT_LANGUAGE');
                ?>
                <?php $__currentLoopData = $WebmasterSection->customFields; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $customField): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <?php
                    // check permission
                    $add_permission_groups = [];
                    if ($customField->add_permission_groups != "") {
                        $add_permission_groups = explode(",", $customField->add_permission_groups);
                    }
                    // have permission & continue
                    if ($customField->$cf_title_var != "") {
                        $cf_title = $customField->$cf_title_var;
                    } else {
                        $cf_title = $customField->$cf_title_var2;
                    }

                    // check field language status
                    $cf_land_identifier = "";
                    $cf_land_active = false;
                    $cf_land_dir = @Helper::currentLanguage()->direction;
                    if ($customField->lang_code != "all") {
                        $ct_language = @Helper::LangFromCode($customField->lang_code);
                        $cf_land_identifier = @Helper::languageName($ct_language);
                        $cf_land_dir = $ct_language->direction;
                        if ($ct_language->box_status) {
                            $cf_land_active = true;
                        }
                    }
                    if ($customField->lang_code == "all") {
                        $cf_land_active = true;
                    }
                    // required Status
                    $cf_required = "";
                    if ($customField->required) {
                        $cf_required = "required";
                    }
                    ?>

                    <?php if($cf_land_active): ?>
                        <?php if($customField->type ==12): ?>
                            
                            <div class="form-group row">
                                <label for="<?php echo e('customField_'.$customField->id); ?>"
                                       class="col-sm-2 form-control-label"><?php echo $cf_title; ?>

                                    <?php echo $cf_land_identifier; ?> <i class="fa fa-vimeo"></i>
                                </label>
                                <div class="col-sm-10">
                                    <?php echo Form::text('customField_'.$customField->id,$customField->default_value, array('placeholder' => '','class' => 'form-control','id'=>'customField_'.$customField->id,$cf_required=>'', 'dir'=>'ltr')); ?>

                                </div>
                            </div>
                        <?php elseif($customField->type ==11): ?>
                            
                            <div class="form-group row">
                                <label for="<?php echo e('customField_'.$customField->id); ?>"
                                       class="col-sm-2 form-control-label"><?php echo $cf_title; ?>

                                    <?php echo $cf_land_identifier; ?> <i class="fa fa-youtube"></i>
                                </label>
                                <div class="col-sm-10">
                                    <?php echo Form::text('customField_'.$customField->id,$customField->default_value, array('placeholder' => '','class' => 'form-control','id'=>'customField_'.$customField->id,$cf_required=>'', 'dir'=>'ltr')); ?>

                                </div>
                            </div>
                        <?php elseif($customField->type ==10): ?>
                            
                            <div class="form-group row">
                                <label for="<?php echo e('customField_'.$customField->id); ?>"
                                       class="col-sm-2 form-control-label"><?php echo $cf_title; ?>

                                    <?php echo $cf_land_identifier; ?></label>
                                <div class="col-sm-10">
                                    <?php echo Form::file('customField_'.$customField->id, array('class' => 'form-control','id'=>'customField_'.$customField->id,$cf_required=>'','accept'=>'*')); ?>

                                </div>
                            </div>
                        <?php elseif($customField->type ==9): ?>
                            
                            <div class="form-group row">
                                <label for="<?php echo e('customField_'.$customField->id); ?>"
                                       class="col-sm-2 form-control-label"><?php echo $cf_title; ?>

                                    <?php echo $cf_land_identifier; ?></label>
                                <div class="col-sm-10">
                                    <?php echo Form::file('customField_'.$customField->id, array('class' => 'form-control','id'=>'customField_'.$customField->id,$cf_required=>'','accept'=>'*')); ?>

                                </div>
                            </div>
                        <?php elseif($customField->type ==8): ?>
                            
                            <div class="form-group row">
                                <label for="<?php echo e('customField_'.$customField->id); ?>"
                                       class="col-sm-2 form-control-label"><?php echo $cf_title; ?>

                                    <?php echo $cf_land_identifier; ?></label>
                                <div class="col-sm-10">
                                    <?php echo Form::file('customField_'.$customField->id, array('class' => 'form-control','id'=>'customField_'.$customField->id,$cf_required=>'','accept'=>'image/*')); ?>

                                </div>
                            </div>
                        <?php elseif($customField->type ==7): ?>
                            
                            <div class="form-group row">
                                <label for="<?php echo e('customField_'.$customField->id); ?>"
                                       class="col-sm-2 form-control-label"><?php echo $cf_title; ?>

                                    <?php echo $cf_land_identifier; ?></label>
                                <div class="col-sm-10">
                                    <select name="<?php echo e('customField_'.$customField->id); ?>[]"
                                            id="<?php echo e('customField_'.$customField->id); ?>"
                                            class="form-control select2-multiple" multiple
                                            ui-jp="select2"
                                            ui-options="{theme: 'bootstrap'}" <?php echo e($cf_required); ?>>
                                        <?php
                                        $cf_details_var = "details_" . @Helper::currentLanguage()->code;
                                        $cf_details_var2 = "details_en" . env('DEFAULT_LANGUAGE');
                                        if ($customField->$cf_details_var != "") {
                                            $cf_details = $customField->$cf_details_var;
                                        } else {
                                            $cf_details = $customField->$cf_details_var2;
                                        }
                                        $cf_details_lines = preg_split('/\r\n|[\r\n]/', $cf_details);
                                        $line_num = 1;
                                        ?>
                                        <?php $__currentLoopData = $cf_details_lines; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $cf_details_line): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option
                                                value="<?php echo e($line_num); ?>" <?php echo e(($customField->default_value == $line_num) ? "selected='selected'":""); ?>><?php echo e($cf_details_line); ?></option>
                                            <?php
                                            $line_num++;
                                            ?>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>
                            </div>
                        <?php elseif($customField->type ==6): ?>
                            
                            <div class="form-group row">
                                <label for="<?php echo e('customField_'.$customField->id); ?>"
                                       class="col-sm-2 form-control-label"><?php echo $cf_title; ?>

                                    <?php echo $cf_land_identifier; ?></label>
                                <div class="col-sm-10">
                                    <select name="<?php echo e('customField_'.$customField->id); ?>"
                                            id="<?php echo e('customField_'.$customField->id); ?>"
                                            class="form-control c-select" <?php echo e($cf_required); ?>>
                                        <option value="">- - <?php echo $cf_title; ?> - -</option>
                                        <?php
                                        $cf_details_var = "details_" . @Helper::currentLanguage()->code;
                                        $cf_details_var2 = "details_en" . env('DEFAULT_LANGUAGE');
                                        if ($customField->$cf_details_var != "") {
                                            $cf_details = $customField->$cf_details_var;
                                        } else {
                                            $cf_details = $customField->$cf_details_var2;
                                        }
                                        $cf_details_lines = preg_split('/\r\n|[\r\n]/', $cf_details);
                                        $line_num = 1;
                                        ?>
                                        <?php $__currentLoopData = $cf_details_lines; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $cf_details_line): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option
                                                value="<?php echo e($line_num); ?>" <?php echo e(($customField->default_value == $line_num) ? "selected='selected'":""); ?>><?php echo e($cf_details_line); ?></option>
                                            <?php
                                            $line_num++;
                                            ?>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>
                            </div>
                        <?php elseif($customField->type ==5): ?>
                            
                            <div class="form-group row">
                                <label for="<?php echo e('customField_'.$customField->id); ?>"
                                       class="col-sm-2 form-control-label"><?php echo $cf_title; ?>

                                    <?php echo $cf_land_identifier; ?>

                                </label>
                                <div class="col-sm-10">
                                    <div>
                                        <div class='input-group dateTime'>
                                            <?php echo Form::text('customField_'.$customField->id,"", array('placeholder' => '','class' => 'form-control','id'=>'customField_'.$customField->id,$cf_required=>'', 'dir'=>$cf_land_dir)); ?>

                                            <span class="input-group-addon">
                  <span class="fa fa-calendar"></span>
              </span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        <?php elseif($customField->type ==4): ?>
                            
                            <div class="form-group row">
                                <label for="<?php echo e('customField_'.$customField->id); ?>"
                                       class="col-sm-2 form-control-label"><?php echo $cf_title; ?>

                                    <?php echo $cf_land_identifier; ?>

                                </label>
                                <div class="col-sm-10">
                                    <div class="form-group">
                                        <div class='input-group date'>
                                            <?php echo Form::text('customField_'.$customField->id,Helper::formatDate($customField->default_value), array('placeholder' => '','class' => 'form-control','id'=>'customField_'.$customField->id,$cf_required=>'', 'dir'=>$cf_land_dir)); ?>

                                            <span class="input-group-addon">
                  <span class="fa fa-calendar"></span>
              </span>
                                        </div>
                                    </div>

                                </div>
                            </div>
                        <?php elseif($customField->type ==3): ?>
                            
                            <div class="form-group row">
                                <label for="<?php echo e('customField_'.$customField->id); ?>"
                                       class="col-sm-2 form-control-label"><?php echo $cf_title; ?>

                                    <?php echo $cf_land_identifier; ?>

                                </label>
                                <div class="col-sm-10">
                                    <?php echo Form::email('customField_'.$customField->id,$customField->default_value, array('placeholder' => '','class' => 'form-control','id'=>'customField_'.$customField->id,$cf_required=>'', 'dir'=>$cf_land_dir)); ?>

                                </div>
                            </div>

                        <?php elseif($customField->type ==2): ?>
                            
                            <div class="form-group row">
                                <label for="<?php echo e('customField_'.$customField->id); ?>"
                                       class="col-sm-2 form-control-label"><?php echo $cf_title; ?>

                                    <?php echo $cf_land_identifier; ?>

                                </label>
                                <div class="col-sm-10">
                                    <?php echo Form::number('customField_'.$customField->id,$customField->default_value, array('placeholder' => '','class' => 'form-control','id'=>'customField_'.$customField->id,$cf_required=>'','min'=>0, 'dir'=>$cf_land_dir)); ?>

                                </div>
                            </div>
                        <?php elseif($customField->type ==1): ?>
                            
                            <div class="form-group row">
                                <label for="<?php echo e('customField_'.$customField->id); ?>"
                                       class="col-sm-2 form-control-label"><?php echo $cf_title; ?>

                                    <?php echo $cf_land_identifier; ?>

                                </label>
                                <div class="col-sm-10">
                                    <?php echo Form::textarea('customField_'.$customField->id,$customField->default_value, array('placeholder' => '','class' => 'form-control',$cf_required=>'', 'dir'=>$cf_land_dir,'rows'=>'5')); ?>

                                </div>
                            </div>
                        <?php else: ?>
                            
                            <div class="form-group row">
                                <label for="<?php echo e('customField_'.$customField->id); ?>"
                                       class="col-sm-2 form-control-label"><?php echo $cf_title; ?>

                                    <?php echo $cf_land_identifier; ?>

                                </label>
                                <div class="col-sm-10">
                                    <?php echo Form::text('customField_'.$customField->id,$customField->default_value, array('placeholder' => '','class' => 'form-control','id'=>'customField_'.$customField->id,$cf_required=>'', 'dir'=>$cf_land_dir)); ?>

                                </div>
                            </div>
                        <?php endif; ?>
                    <?php endif; ?>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <?php endif; ?>
            


            <div class="form-group row" style="margin-bottom: 0;margin-top: 30px;">
                <div class="col-sm-2"></div>
                <div class="col-sm-10">
                    <?php if(env('NOCAPTCHA_STATUS', false)): ?>
                        <div class="form-group">
                            <?php echo NoCaptcha::renderJs(@Helper::currentLanguage()->code); ?>

                            <?php echo NoCaptcha::display(); ?>

                        </div>
                    <?php endif; ?>

                    <input type="hidden" name="TopicID" value="<?php echo e(@$Topic->id); ?>">
                    <input type="hidden" name="WebmasterSectionId" value="<?php echo e(encrypt($WebmasterSection->id)); ?>">
                    <button type="submit"
                            class="btn btn-lg submit-btn btn-theme"><i class="fa fa-send"></i> <?php echo e(__('backend.submit')); ?></button>
                </div>
            </div>
            <?php echo e(Form::close()); ?>

        </div>

    <?php endif; ?>
<?php endif; ?>
<?php /**PATH /home/sitesting/public_html/naht.wxbeta.in/core/resources/views/frontEnd/form.blade.php ENDPATH**/ ?>